Skip to content

Services

All operations require authentication.

2 operationsv1/ssl · /ssl/{serviceName}
Agent setup

List SSL certificatesProduction

GET
/1.0/ssl

Returns the identifiers of the SSL certificates of the account.

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/ssl \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get an SSL certificateProduction

GET
/1.0/ssl/{serviceName}

Returns an SSL certificate: status, type (DV, OV or EV), issuing authority, common name, alternative names, validity dates, and the certificate and its issuer chain once issued.

Path parameters

serviceName
required
string

Service name

Response

200CertificateWithIAMsuccessful operation
authority
read-only
CertificateAuthorityEnum

The authority your certificate is issued from

Valuescomodosectigo
certificate
read-only
string

Your certificate

chain
read-only
string

The issuer chain of your certificate

commonName
read-only
string

The CN field in your certificate

csr
read-only
string

The CSR used to create your certificate

iam
read-only
ResourceMetadata

IAM resource metadata

serviceName
read-only
string

The internal name of your certificate offer

status
read-only
CertificateStatusEnum

Current status of your certificate

Valuescreatingerrorokvalidating
subjectAltName
read-only
string[]

The SAN field for multidomain certificate

type
read-only
CertificateTypeEnum

Type of your certificate

ValuesDVEVOV
validityEnd
read-only
stringdate-time

Your certificate is invalid from this date

validityStart
read-only
stringdate-time

Your certificate is valid from this date

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ssl/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "authority": "comodo", "certificate": "string", "chain": "string", "commonName": "string", "csr": "string", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "serviceName": "string", "status": "creating", "subjectAltName": [ "string" ], "type": "DV", "validityEnd": "2024-01-01T12:00:00Z", "validityStart": "2024-01-01T12:00:00Z"}